## scanbd 1.5.1

=== src/test/Makefile ===
#
# $Id: Makefile 241 2017-04-19 07:53:25Z wimalopaan $
#
#  scanbd - KMUX scanner button daemon
#
#  Copyright (C) 2008 - 2017 Wilhelm Meier (wilhelm.wm.meier@googlemail.com)
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

include ../../Makefile.include

.PHONY: all

all: test01 test02

test01: test01.o

clean:
	$(RM) -f test01 *.o *~

## scanbd 1.4.0

=== debian/changelog ===
scanbd (1.4.0-2) unstable; urgency=low

  * release to unstable now that 1.4.0-1 has hit testing
  * control: add ${misc:Depends} for scanbuttond binary package
  * mark scanbuttond_compat.script executable

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 21 Oct 2014 18:27:44 +0900

scanbd (1.4.0-1x3) experimental; urgency=medium

  * upload to experimental to allow transition of 1.4.0-1 to testing
  * add scanbuttond migration package. Closes: #728818
    - add scanbuttond stanza to debian/control (dummy package)
    - add README for scanbuttond
    - add scanbuttond compat wrapper script
    - make sure the dh build system handles the multi-binary case

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 16 Oct 2014 22:36:17 +0800

scanbd (1.4.0-1x2) experimental; urgency=low

  * upload to experimental to allow transition of 1.4.0-1 to testing
  * move scripts out of /etc and into /usr/share/scanbd/scripts
  * patches: improve scanbd description in upstream init script
  * docs: include AUTHORS file in documentation

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 16 Oct 2014 13:46:02 +0800

scanbd (1.4.0-1x1) experimental; urgency=medium

  * upload to experimental to allow transition of 1.4.0-1 to testing
  * docs: add README.Debian and ship upstream README.txt
  * control: bump to standard 3.9.6. No further changes.
  * properly handle the (patched) upstream SysV init-script file
  * drop explicit creation of /etc/dbus-1/ directory in binary package

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 15 Oct 2014 15:56:22 +0800

scanbd (1.4.0-1) unstable; urgency=low

  * Initial release (Closes: #695435)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 11 Sep 2014 22:22:12 +0800

=== debian/control ===
Source: scanbd
Section: misc
Priority: extra
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Build-Depends: debhelper (>= 9), autotools-dev,
 libconfuse-dev,
 libsane-dev, libudev-dev, libusb-dev
Standards-Version: 3.9.6
Homepage: http://scanbd.sf.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/scanbd.git
Vcs-Git: git://git.debian.org/collab-maint/scanbd.git

Package: scanbd
Architecture: any
Depends: sane-utils,
# reconf-inetd,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Scanner button daemon
 It polls the scanner buttons looking for buttons pressed or function knob
 changes or other scanner events as paper inserts / removals and at the same
 time allows also scan-applications to access the scanners. If buttons are
 pressed, etc., various actions can be submitted (scan, copy, email, ...) via
 action scripts. The function knob values are passed to the action-scripts as
 well.
 .
 Scan actions are also signaled via D-Bus. This can be useful for foreign
 applications. Scans can also be triggered via D-Bus from foreign applications.
 .
 On platforms which support signaling of dynamic device insertion / removal
 (libudev, D-Bus, hal) scanbd supports this as well. scanbd can use all
 sane-backends or some special backends from the (old) scanbuttond project.
 .
 This package is a successor of scanbuttond.

Package: scanbuttond
Architecture: all
Depends: scanbd, ${misc:Depends}
Section: oldlibs
Priority: extra
Description: Dummy transitional package - scanbuttond to scanbd
 This package is meant to ease migration from the old, dead scanbuttond
 package to the new scanbd. It pulls in scanbd and installs a wrapper
 script so that scanbd should be a drop-in replacement.  Users should
 eventually migrate their customized scripts to scanbd and then this
 package can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --with-user=saned --with-group=scanner

override_dh_auto_install:
	ln -f integration/scanbd.debian debian/scanbd.init
	dh_auto_install

override_dh_install:
	dh_install
	$(RM) debian/*/etc/scanbd/*.script

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/scanbd/scanbd-+(.*)\.(?:tar\.gz|zip)

## scanbd 1.4.1

=== debian/changelog ===
scanbd (1.4.1-8) unstable; urgency=medium

  * control: allow and prefer compilation with libusb-1.0-0. Closes: #810457

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 20 Jan 2016 10:11:28 +0800

scanbd (1.4.1-7) unstable; urgency=medium

  * postrm: properly purge symbolic links. Closes: #792104

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 11 Jul 2015 22:32:10 +0900

scanbd (1.4.1-6) unstable; urgency=medium

  * release to unstable
  * control:
    add libdbus-1-dev and pkg-config to build-dependencies. Closes: #790772

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 09 Jul 2015 14:39:35 +0900

scanbd (1.4.1-5) experimental; urgency=medium

  * postrm: make sure update-inetd is actually present and executable
    before calling it. Closes: #779867

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 08 Mar 2015 17:41:02 +0800

scanbd (1.4.1-4) experimental; urgency=medium

  * postinst:
    - add a few camera config files to the scanbd unsupported list
    - fix test for unsupported backends
      both the test for links to unsupported backends and the suggested
      remedy were faulty
    - suppress unnecessary feedback from "cd -" command
    - update /etc/inetd.conf via update-inetd in postinst and postrm
  * scanbd.init:
    - abort startup of scanbd when saned is already running
    - test for connect_timeout value in the correct file
  * ship upstream udev rules file
  * control: add an inetd server and update-inetd to the runtime-dependencies
  * doc: update Debian README to reflect the recent work
  * copyright: update my copyright to 2015

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 04 Mar 2015 18:16:00 +0800

scanbd (1.4.1-3) experimental; urgency=medium

  * configure the backends automatically as much as possible. LP: #1401389
  * init: actually abort on error, but for now do NOT trigger an actual
    non-zero error exit code

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 26 Feb 2015 11:08:38 +0800

scanbd (1.4.1-2) experimental; urgency=medium

  * rules: do not abort the build on 'clobbered' error. LP: #1403831
  * Take over maintenance of the init script from upstream
    - adjust Debian build accordingly
    - improve robustness dealing with common configuration errors

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 25 Feb 2015 13:14:21 +0800

scanbd (1.4.1-1) experimental; urgency=medium

  * new upstream release 1.4.1
    - watch: include tgz files in watched files
    - patches: drop patches that landed upstream and rebase the others
  * patches:
    - add "status" call to scanbd init script
    - drop some info irrelevant to end users from the man pages
    - document status of patches with regards to upstream

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 16 Nov 2014 20:27:45 +0800

scanbd (1.4.0-3) experimental; urgency=low

  * scanbuttond: remove config for old, superseded package
  * control: remove duplicate entry for 'Priority'

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 11 Nov 2014 21:10:41 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
 Build-Depends: debhelper (>= 9), autotools-dev,
  libconfuse-dev,
- libsane-dev, libudev-dev, libusb-dev
+ libsane-dev, libudev-dev, libusb-1.0-0-dev|libusb-dev,
+ pkg-config, libdbus-1-dev
 Standards-Version: 3.9.6
 Homepage: http://scanbd.sf.net/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scanbd.git
@@ -13,6 +14,8 @@
 Package: scanbd
 Architecture: any
 Depends: sane-utils,
+ openbsd-inetd | inet-superserver,
+ update-inetd,
 # reconf-inetd,
  ${shlibs:Depends},
  ${misc:Depends},
@@ -37,7 +40,6 @@
 Architecture: all
 Depends: scanbd, ${misc:Depends}
 Section: oldlibs
-Priority: extra
 Description: Dummy transitional package - scanbuttond to scanbd
  This package is meant to ease migration from the old, dead scanbuttond
  package to the new scanbd. It pulls in scanbd and installs a wrapper

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -Wno-error=clobbered

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --with-user=saned --with-group=scanner

override_dh_install:
	dh_install
	$(RM) debian/*/etc/scanbd/*.script

## scanbd 1.4.4

=== debian/changelog ===
scanbd (1.4.4-1build1) yakkety; urgency=medium

  * No-change rebuild against libconfuse1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Jul 2016 00:08:55 +0000

scanbd (1.4.4-1) unstable; urgency=medium

  * new upstream release
  * patches:
    - drop manpages.patch which has been applied upstream
    - rebase fix_path.patch to newest upstream code base
    - backport upstream commit r214 for debugging
  * control: update to Debian Standard 3.9.7
  * copyright: update copyright information

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 24 Mar 2016 10:35:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: scanbd
 Section: misc
 Priority: extra
-Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
 Build-Depends: debhelper (>= 9), autotools-dev,
  libconfuse-dev,
  libsane-dev, libudev-dev, libusb-1.0-0-dev|libusb-dev,
  pkg-config, libdbus-1-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://scanbd.sf.net/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scanbd.git
 Vcs-Git: git://git.debian.org/collab-maint/scanbd.git

## scanbd 1.5.1

=== debian/changelog ===
scanbd (1.5.1-4) unstable; urgency=medium

  * QA upload.
  * d/control:
    + Move Vcs-* to salsa.debian.org.
    + wrap-and-sort -ast.
    + Bump Standards-Version 4.1.4, no changes needed.
  * Drop transation package scanbuttond.  Closes: #878862
  * Bump debhelper compat level to 11:
    + Drop explicit --with autotools-dev and related build-dependency.
  * Use HTTPS in d/copyright URLs.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 22 May 2018 00:12:07 +0200

scanbd (1.5.1-3) unstable; urgency=medium

  * control: orphan the package
    I can no longer justify the effort to maintain this package for Debian.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 18 Apr 2018 15:01:08 +0800

scanbd (1.5.1-2) unstable; urgency=medium

  * control:
    - priority extra is now priority optional
    - move packaging VCS to github

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 16 Apr 2018 17:44:30 +0800

scanbd (1.5.1-1) unstable; urgency=medium

  * Imported upstream version 1.5.1
    - fix crashes when plugging in USB devices. LP: #1500095
  * patches: drop patch r214-219.patch as no longer necessary
  * copyright: update to 2017
  * control: update to Debian Standard 4.0.0

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 26 Oct 2017 13:38:50 +0800

scanbd (1.4.4-2) unstable; urgency=medium

  * postrm: replace [ -x $fullpath ] with 'which $binary'
  * patches: backport upstream commits r214 to r219
    on top of r214 that we already have
  * rules: stop erroring out on Wno-error=missing-field-initializers
    jessie compiler chokes on these errors. needs investigation.
  * control: add lsb-base to run-time dependencies

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 14 Feb 2017 00:50:01 +0800

=== debian/control ===
Source: scanbd
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 11),
 libconfuse-dev,
 libdbus-1-dev,
 libsane-dev,
 libudev-dev,
 libusb-1.0-0-dev | libusb-dev,
 pkg-config,
Standards-Version: 4.1.4
Homepage: http://scanbd.sf.net/
Vcs-Browser: https://salsa.debian.org/debian/scanbd
Vcs-Git: https://salsa.debian.org/debian/scanbd.git

Package: scanbd
Architecture: any
Depends:
 lsb-base (>= 3.0-6),
 openbsd-inetd | inet-superserver,
 sane-utils,
 update-inetd,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Scanner button daemon
 It polls the scanner buttons looking for buttons pressed or function knob
 changes or other scanner events as paper inserts / removals and at the same
 time allows also scan-applications to access the scanners. If buttons are
 pressed, etc., various actions can be submitted (scan, copy, email, ...) via
 action scripts. The function knob values are passed to the action-scripts as
 well.
 .
 Scan actions are also signaled via D-Bus. This can be useful for foreign
 applications. Scans can also be triggered via D-Bus from foreign applications.
 .
 On platforms which support signaling of dynamic device insertion / removal
 (libudev, D-Bus, hal) scanbd supports this as well. scanbd can use all
 sane-backends or some special backends from the (old) scanbuttond project.
 .
 This package is a successor of scanbuttond.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -Wno-error=clobbered -Wno-error=missing-field-initializers

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-user=saned --with-group=scanner

override_dh_install:
	dh_install
	$(RM) debian/*/etc/scanbd/*.script

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/scanbd/scanbd-+(.*)\.(?:tar\.gz|zip|tgz)
